> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phishy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaigns Event Targets

> **Note: This endpoint is subject to change and may not be supported in future releases.** 

 Get Campaigns Event Target



## OpenAPI

````yaml GET /campaigns/events/{id}/{event}
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://base.url.com
security:
  - apiKey: []
paths:
  /campaigns/events/{id}/{event}:
    get:
      description: >-
        **Note: This endpoint is subject to change and may not be supported in
        future releases.** 

         Get Campaigns Event Target
      operationId: getCampaignsEventsTarget
      responses:
        '200':
          description: Campaigns events retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Campaign'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: You do not have permission to access this resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
components:
  schemas:
    Campaign:
      type: object
      required:
        - id
        - name
        - status
      properties:
        id:
          type: string
          description: Unique identifier for the campaign
        name:
          type: string
          description: Name of the campaign
        status:
          type: string
          description: >-
            **Note: The usage of this property is subject to change in future
            implementations.** 
             Current status of the campaign
          enum:
            - scheduled
            - launched
            - paused
            - completed
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    ForbiddenError:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: integer
          format: int32
          description: Error code representing the type of error
          example: 403
        message:
          type: string
          description: A message describing the error
          example: You do not have permission to access this resource.
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-phishy-api-key

````